Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci
Class Connection

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Connection

Direct Known Subclasses:
  XAConnection

public class Connection
extends java.lang.Object
implements java.sql.Connection, Waitable, WLConnectionInfo, weblogic.jdbc.common.OracleConnection, weblogic.jdbc.common.OracleLobCloser

This class is documented only for WebLogic extensions to JDBC. For additional information, see the documentation for java.sql.Connection. To use this extension, cast your Connection object as weblogic.jdbc.oci.Connection

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected boolean` | `allowmixedmetadata` Deprecated.
`protected java.lang.String` | `driver` Deprecated.
`protected int` | `insPieceLength` Deprecated.
`protected java.util.List` | `lobs` Deprecated.
`weblogic.db.oci.OciConnection` | `ociconn` Deprecated.
`static int` | `PRIVATE_CLIB` Deprecated.
`static java.lang.String` | `PRIVATE_VERSION` Deprecated.
`protected int` | `selPieceLength` Deprecated.
`protected java.lang.String` | `url` Deprecated.

Constructor Summary
`Connection(java.util.Properties info)` Deprecated.

Method Summary
`void` | `addLob(weblogic.jdbc.common.OracleLobCloser lob)` Deprecated.
`boolean` | `autocommitState()` Deprecated.
`void` | `checkIfClosed()` Deprecated.
`void` | `clearWarnings()` Deprecated.
`void` | `close()` Deprecated.
`void` | `closeLob()` Deprecated.
`void` | `commit()` Deprecated.
`java.lang.String` | `connectionName()` Deprecated.
`boolean` | `connectionState()` Deprecated.
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency)` Deprecated.
`java.sql.Statement` | `createStatement(int a, int b, int c)` Deprecated.
`int` | `datewidth()` Deprecated.
`void` | `datewidth(int width)` Deprecated.
`int` | `driverType()` Deprecated.
`void` | `finalize()` Deprecated.
`static java.util.Hashtable` | `getAllConnections()` Deprecated.
`boolean` | `getAutoCommit()` Deprecated.
`java.lang.String` | `getCatalog()` Deprecated.
`java.lang.String` | `getDescription()` Deprecated.
`int` | `getHoldability()` Deprecated.
`java.lang.String` | `getName()` Deprecated.
`static int` | `getNumberOfConnections()` Deprecated.
`int` | `getNumberOfStatements()` Deprecated.
`int` | `getTransactionIsolation()` Deprecated.
`java.util.Map` | `getTypeMap()` Deprecated.
`java.sql.SQLWarning` | `getWarnings()` Deprecated.
`boolean` | `isCharsetDecoderEnabled()` Deprecated.
`boolean` | `isClosed()` Deprecated.
`java.lang.String` | `isolationLevel()` Deprecated.
`boolean` | `isReadOnly()` Deprecated.
`java.lang.String` | `lastSQL()` Deprecated.
`java.lang.String` | `nativeSQL(java.lang.String query)` Deprecated.
`int` | `prefetchSize()` Deprecated.
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)` Deprecated.
`java.sql.CallableStatement` | `prepareCall(java.lang.String a, int b, int c, int d)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int[] b)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b, int c, int d)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, java.lang.String[] b)` Deprecated.
`void` | `releaseSavepoint(java.sql.Savepoint a)` Deprecated.
`void` | `removeLob(weblogic.jdbc.common.OracleLobCloser lob)` Deprecated.
`boolean` | `resourcesQueuing()` Deprecated.
`void` | `rollback()` Deprecated.
`void` | `rollback(java.sql.Savepoint a)` Deprecated.
`void` | `setAutoCommit(boolean enableAutoCommit)` Deprecated.
`void` | `setCatalog(java.lang.String catalog)` Deprecated.
`void` | `setHoldability(int a)` Deprecated.
`void` | `setLockArrayFetch(java.lang.Object value)` Deprecated.
`void` | `setLockBindCursorByPosition(java.lang.Object value)` Deprecated.
`void` | `setLockBindSelectItem(java.lang.Object value)` Deprecated.
`void` | `setLockBindVariableByPosition(java.lang.Object value)` Deprecated.
`void` | `setLockCancel(java.lang.Object value)` Deprecated.
`void` | `setLockClose(java.lang.Object value)` Deprecated.
`void` | `setLockDescribe(java.lang.Object value)` Deprecated.
`void` | `setLockExec(java.lang.Object value)` Deprecated.
`void` | `setLockExecAndFetch(java.lang.Object value)` Deprecated.
`void` | `setLockFetch(java.lang.Object value)` Deprecated.
`void` | `setLockOopt(java.lang.Object value)` Deprecated.
`void` | `setLockOpen(java.lang.Object value)` Deprecated.
`void` | `setLockParse(java.lang.Object value)` Deprecated.
`void` | `setOciVerbose(boolean val)` Deprecated.
`void` | `setReadOnly(boolean readOnly)` Deprecated.
`java.sql.Savepoint` | `setSavepoint()` Deprecated.
`java.sql.Savepoint` | `setSavepoint(java.lang.String d)` Deprecated.
`void` | `setTransactionIsolation(int level)` Deprecated.
`void` | `setTypeMap(java.util.Map map)` Deprecated.
`int` | `sharedLibVersion()` Deprecated.
`int` | `statementCount()` Deprecated.
`boolean` | `supportsPrefetch()` Deprecated.
`void` | `waitOnResources(boolean val)` Deprecated. Use this method to access the Oracle `oopt()` function for C (see section 4-97 of The OCI Functions for C).
`java.lang.String` | `weblogicVersion()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRIVATE_VERSION

    public static final java.lang.String PRIVATE_VERSION

  Deprecated.

### PRIVATE_CLIB

    public static final int PRIVATE_CLIB

  Deprecated.

### ociconn

    public weblogic.db.oci.OciConnection ociconn

  Deprecated.

### url

    protected java.lang.String url

  Deprecated.

### driver

    protected java.lang.String driver

  Deprecated.

### lobs

    protected java.util.List lobs

  Deprecated.

### allowmixedmetadata

    protected boolean allowmixedmetadata

  Deprecated.

### selPieceLength

    protected int selPieceLength

  Deprecated.

### insPieceLength

    protected int insPieceLength

  Deprecated.

Constructor Detail

### Connection

    public Connection(java.util.Properties info)
               throws java.sql.SQLException

  Deprecated.

Method Detail

### waitOnResources

    public void waitOnResources(boolean val)

  Deprecated.
  Use this method to access the Oracle `oopt()` function for C (see section 4-97 of The OCI Functions for C). The Oracle C function sets options in cases where requested resources are not available; for example, whether to wait for locks.

  When the argument to this method is true, this WebLogic extension to JDBC sets this option so that your program will receive an error return code whenever a resource is requested but is unavailable. Use of this method can cause several error return codes while waiting for internal resources that are locked for short durations.

  Specified by:
    waitOnResources in interface Waitable

  Parameters:
    `val` - True if the connection should wait on resources

### datewidth

    public int datewidth()

  Deprecated.

### datewidth

    public void datewidth(int width)

  Deprecated.

### checkIfClosed

    public void checkIfClosed()
                       throws java.sql.SQLException

  Deprecated.

### isCharsetDecoderEnabled

    public boolean isCharsetDecoderEnabled()

  Deprecated.

### getName

    public java.lang.String getName()

  Deprecated.

### getDescription

    public java.lang.String getDescription()

  Deprecated.

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getWarnings in interface java.sql.Connection

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    clearWarnings in interface java.sql.Connection

### nativeSQL

    public java.lang.String nativeSQL(java.lang.String query)
                               throws java.sql.SQLException

  Deprecated.
  Specified by:
    nativeSQL in interface java.sql.Connection

### setAutoCommit

    public void setAutoCommit(boolean enableAutoCommit)
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    setAutoCommit in interface java.sql.Connection

### getNumberOfConnections

    public static int getNumberOfConnections()

  Deprecated.

### getNumberOfStatements

    public int getNumberOfStatements()

  Deprecated.

### getAutoCommit

    public boolean getAutoCommit()

  Deprecated.
  Specified by:
    getAutoCommit in interface java.sql.Connection

### commit

    public void commit()
                throws java.sql.SQLException

  Deprecated.
  Specified by:
    commit in interface java.sql.Connection

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    rollback in interface java.sql.Connection

### close

    public void close()
               throws java.sql.SQLException

  Deprecated.
  Specified by:
    close in interface java.sql.Connection

### finalize

    public void finalize()

  Deprecated.

  Overrides:
    finalize in class java.lang.Object

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Deprecated.
  Specified by:
    isClosed in interface java.sql.Connection

### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws java.sql.SQLException

  Deprecated.
  Specified by:
    setReadOnly in interface java.sql.Connection

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    isReadOnly in interface java.sql.Connection

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTransactionIsolation in interface java.sql.Connection

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTransactionIsolation in interface java.sql.Connection

### setCatalog

    public void setCatalog(java.lang.String catalog)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setCatalog in interface java.sql.Connection

### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    getCatalog in interface java.sql.Connection

### addLob

    public void addLob(weblogic.jdbc.common.OracleLobCloser lob)

  Deprecated.

### removeLob

    public void removeLob(weblogic.jdbc.common.OracleLobCloser lob)

  Deprecated.

### closeLob

    public void closeLob()

  Deprecated.
  Specified by:
    closeLob in interface weblogic.jdbc.common.OracleLobCloser

### setOciVerbose

    public void setOciVerbose(boolean val)

  Deprecated.

### setLockOpen

    public void setLockOpen(java.lang.Object value)

  Deprecated.

### setLockParse

    public void setLockParse(java.lang.Object value)

  Deprecated.

### setLockDescribe

    public void setLockDescribe(java.lang.Object value)

  Deprecated.

### setLockOopt

    public void setLockOopt(java.lang.Object value)

  Deprecated.

### setLockBindCursorByPosition

    public void setLockBindCursorByPosition(java.lang.Object value)

  Deprecated.

### setLockBindVariableByPosition

    public void setLockBindVariableByPosition(java.lang.Object value)

  Deprecated.

### setLockBindSelectItem

    public void setLockBindSelectItem(java.lang.Object value)

  Deprecated.

### setLockExec

    public void setLockExec(java.lang.Object value)

  Deprecated.

### setLockExecAndFetch

    public void setLockExecAndFetch(java.lang.Object value)

  Deprecated.

### setLockFetch

    public void setLockFetch(java.lang.Object value)

  Deprecated.

### setLockArrayFetch

    public void setLockArrayFetch(java.lang.Object value)

  Deprecated.

### setLockCancel

    public void setLockCancel(java.lang.Object value)

  Deprecated.

### setLockClose

    public void setLockClose(java.lang.Object value)

  Deprecated.

### connectionName

    public java.lang.String connectionName()

  Deprecated.
  Specified by:
    connectionName in interface WLConnectionInfo

### connectionState

    public boolean connectionState()

  Deprecated.
  Specified by:
    connectionState in interface WLConnectionInfo

### autocommitState

    public boolean autocommitState()

  Deprecated.
  Specified by:
    autocommitState in interface WLConnectionInfo

### supportsPrefetch

    public boolean supportsPrefetch()

  Deprecated.
  Specified by:
    supportsPrefetch in interface WLConnectionInfo

### prefetchSize

    public int prefetchSize()

  Deprecated.
  Specified by:
    prefetchSize in interface WLConnectionInfo

### isolationLevel

    public java.lang.String isolationLevel()

  Deprecated.
  Specified by:
    isolationLevel in interface WLConnectionInfo

### resourcesQueuing

    public boolean resourcesQueuing()

  Deprecated.
  Specified by:
    resourcesQueuing in interface WLConnectionInfo

### weblogicVersion

    public java.lang.String weblogicVersion()

  Deprecated.
  Specified by:
    weblogicVersion in interface WLConnectionInfo

### driverType

    public int driverType()

  Deprecated.
  Specified by:
    driverType in interface WLConnectionInfo

### sharedLibVersion

    public int sharedLibVersion()

  Deprecated.
  Specified by:
    sharedLibVersion in interface WLConnectionInfo

### lastSQL

    public java.lang.String lastSQL()

  Deprecated.
  Specified by:
    lastSQL in interface WLConnectionInfo

### statementCount

    public int statementCount()

  Deprecated.
  Specified by:
    statementCount in interface WLConnectionInfo

### getAllConnections

    public static java.util.Hashtable getAllConnections()

  Deprecated.

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    createStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency)
                                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareCall in interface java.sql.Connection

### getTypeMap

    public java.util.Map getTypeMap()
                             throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTypeMap in interface java.sql.Connection

### setTypeMap

    public void setTypeMap(java.util.Map map)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTypeMap in interface java.sql.Connection

### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint a)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    releaseSavepoint in interface java.sql.Connection

### rollback

    public void rollback(java.sql.Savepoint a)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    rollback in interface java.sql.Connection

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    getHoldability in interface java.sql.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String a,
                                                  int b,
                                                  int c,
                                                  int d)
                                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareCall in interface java.sql.Connection

### setHoldability

    public void setHoldability(int a)
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    setHoldability in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int b,
                                                       int c,
                                                       int d)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int b)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int[] b)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       java.lang.String[] b)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### createStatement

    public java.sql.Statement createStatement(int a,
                                              int b,
                                              int c)
                                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    createStatement in interface java.sql.Connection

### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setSavepoint in interface java.sql.Connection

### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String d)
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setSavepoint in interface java.sql.Connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD